NestedReference (Struts Taglib 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Class NestedReference

    java.lang.Object
      org.apache.struts.taglib.nested.NestedReference

All Implemented Interfaces:
  Serializable

    public class NestedReference

extends Object
implements Serializable

So that a nested hierarchy can penetrate a dynamic JSP include, this class will hold the details of a bean name and nested property.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Constructor Summary
`NestedReference()` Empty constructor.
`NestedReference(String name, String property)` Constructor takes the all the relevant details to init the object.

Method Summary
`String` | `getBeanName()` Getter for the bean name
`String` | `getNestedProperty()` Getter for the nested property
`void` | `setBeanName(String newName)` Setter for the bean name
`void` | `setNestedProperty(String newProperty)` Setter for the nested property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedReference

    public NestedReference()

  Empty constructor.

### NestedReference

    public NestedReference(String name,
                           String property)

  Constructor takes the all the relevant details to init the object.

  Parameters:
    `name` - String name of the bean that the include is to reference
    `property` - String nested property value that the include will be continuing on with.

Method Detail

### getBeanName

    public String getBeanName()

  Getter for the bean name

  Returns:
    String value that will be the bean's reference

### setBeanName

    public void setBeanName(String newName)

  Setter for the bean name

  Parameters:
    `newName` - String value to set the bean reference.

### getNestedProperty

    public String getNestedProperty()

  Getter for the nested property

  Returns:
    String value that is the nested property for the current nesting

### setNestedProperty

    public void setNestedProperty(String newProperty)

  Setter for the nested property

  Parameters:
    `newProperty` - String value of the new current nesting level

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.